Subject: bug#63273: guix home / glibc error: libpthread.so.0: undefined symbol

From: Blake Shaw <[email-masked]>
Date: Thu, 04 May 2023 22:08:36 +0700

Hi Guix,

I just upgraded to the full source bootstrap (my cron job was apparently
failing daily due to a channel, and I didn't realize before today), and
following the guix pull, I get the following error when running $ guix
home reconfiugre "file.scm":

```
/gnu/store/ad8351jvj61da279a3ddfs2gmk3whvdq-guile-wrapper/bin/guile: symbol lookup error: /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33/lib/libpthread.so.0: undefined symbol: __libc_pthread_init, version GLIBC_PRIVATE
```

Here is my "guix describe":
```
Generation 70	May 04 2023 21:20:10	(current)
  guix f0a51a2
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f0a51a2bda26f9cc1e0b54b48712bd7cc54408e9
  nonguix 9d58bb6
    repository URL: https://gitlab.com/nonguix/nonguix
    branch: master
    commit: 9d58bb6e3e93a444d35bf62d4ca98a126ae4f295
  rde e5bcfc0
    repository URL: https://git.sr.ht/~abcdw/rde
    branch: master
    commit: e5bcfc0654bca23aba226a4e8f889ba682525734
```

Here is my guix system describe, in case its helpful:
```
Generation 201	Apr 09 2023 16:18:54	(current)
  file name: /var/guix/profiles/system-201-link
  canonical file name: /gnu/store/44qk4n0v5ig6w9w7896f7kidkpxajswh-system
  label: GNU with Linux 5.15.106
  bootloader: grub-efi
  root device: /dev/mapper/cryptroot
  kernel: /gnu/store/9iphrh7l2ys3ddj83xsydnykj0q797w6-linux-5.15.106/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: b08cdfc6d363e9ca63118303b4628542c54a612d
    nonguix:
      repository URL: https://gitlab.com/nonguix/nonguix
      branch: master
      commit: 40c48d08cc8c7c82f3212f6695c641cb17ac5d60
    rde:
      repository URL: https://git.sr.ht/~abcdw/rde
      branch: master
      commit: 6cc378b905d11c5a393a61aea0809428d7071c5a
  configuration file: /gnu/store/lm7nd9s9crffs177cfkj1m7asw88z3bj-configuration.scm
```

Rolling back fixes it, as anticipated.

Best,
Blake